<template>
    <div class="settingPanel">
        <div class="menutop">
            <div class="menuback" @click="back">
                <i class="el-icon-arrow-left"></i><span>返回</span>
            </div>
            <div class="menutitle">设置</div>
        </div>
        <div class="settingContainer">
            <span style="padding-left:10px;">用户设置</span>
            <div class="settingItem" style="border-top:1px solid #e5e5e6;margin-top: 0.1rem;">
                <img src="@/assets/img/setting/fwx.png" alt="" />
                <span style="width: 80%">复位</span>
                <el-switch v-model="fw" @change="handleFwChange"></el-switch>
            </div>
            <div class="settingItem">
                <img src="@/assets/img/setting/zbx.png" alt="" />
                <span>指北针</span>
                <el-switch v-model="zbz" @change="handleZbzChange"></el-switch>
            </div>
            <!-- <div class="settingItem">
                <img src="../../../../static/img/new/qp-szy.png" alt="" />
                <span>全屏</span>
                <el-switch v-model="full" @change="handleFullChange"></el-switch>
            </div> -->
            <!-- <div class="settingItem">
                <img src="@/assets/img/setting/vfd.png" alt="" />
                <span>添加收藏</span>
                <el-switch v-model="collection" @change="handleCollectionChange"></el-switch>
            </div> -->
        </div>
    </div>
</template>

<script>
import store from "@/utils/store";
export default {
    name: 'SettingPanel',
    data() {
        return {
            fw: false,
            zbz: false,
            full: false,
            collection: false,
        }
    },
    mounted() {
        debugger
        this.fw = store.resetLink.show;
        this.zbz = store.pointLink.show;
        this.full = store.fullScreen.show;
        this.collection = store.favorite.show;
    },
    methods: {
        handleFwChange(flag) {
            store.setResetLinkShow(flag);
        },
        handleZbzChange(flag) {
            store.setPointLinkShow(flag);
        },
        handleFullChange(flag) {
            store.setFullScreenShow(flag);
        },
        handleCollectionChange(flag) {
            store.setFavoriteShow(flag);
        },
        back() {
            store.setSettingPanelShow(false);
        }
    },
}
</script>

<style scoped>
.settingPanel {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #f3f3f3;
    z-index: 3000;
}

.settingContainer {
    margin: 0.2rem 0;
}

.settingItem {
    padding: 0 0.25rem;
    /* background-color: white; */
    width: 100%;
    height: 0.42rem;
    color: black;
    line-height: 0.42rem;
    border-bottom: 1px solid #e5e5e6;
}

.settingItem .el-switch {
    float: right;
    top: 0.1rem;
}

.settingItem img {
    width: 0.25rem;
    height: 0.25rem;
    margin-right: 0.2rem;
}
</style>